rpms/tpb/devel tpb-defaultconfig.patch, 1.3, 1.4 tpb.spec, 1.7, 1.8 tpb-nvram.permissions, 1.1, NONE

Ville Skytta (scop) fedora-extras-commits at redhat.com
Mon May 16 06:49:01 UTC 2005


Author: scop

Update of /cvs/extras/rpms/tpb/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv1872

Modified Files:
	tpb-defaultconfig.patch tpb.spec 
Removed Files:
	tpb-nvram.permissions 
Log Message:
Adapt to udev in FC4, improve default config.

tpb-defaultconfig.patch:

Index: tpb-defaultconfig.patch
===================================================================
RCS file: /cvs/extras/rpms/tpb/devel/tpb-defaultconfig.patch,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- tpb-defaultconfig.patch	9 Feb 2005 22:01:51 -0000	1.3
+++ tpb-defaultconfig.patch	16 May 2005 06:48:59 -0000	1.4
@@ -1,5 +1,5 @@
---- doc/tpbrc.orig	2004-08-24 22:29:56.058320657 +0300
-+++ doc/tpbrc	2004-08-24 22:30:14.356444475 +0300
+--- doc/tpbrc.orig	2004-08-18 16:57:32.000000000 +0300
++++ doc/tpbrc	2005-05-16 01:09:41.000000000 +0300
 @@ -27,19 +27,19 @@
  # String with command and options that should be executed when Home button is
  # pressed (only available on A and S series). By default no command is executed.
@@ -39,7 +39,7 @@
  
  ## OSDTIMEOUT
  # Defines how long (in seconds) the on-screen display is shown after the last
-@@ -225,7 +225,7 @@
+@@ -225,13 +225,13 @@
  ## OSDVERTICAL
  # Defines the offset from the top or bottom of the screen in pixels. Default is 25.
  #
@@ -48,3 +48,10 @@
  
  ## OSDHORIZONTAL
  # Defines the offset from the left or right of the screen in pixels. Only
+ # supported by xosd 2.0.0 and above. Default is 25.
+ #
+-#OSDHORIZONTAL 25
++OSDHORIZONTAL 60
+ 
+ ## OSDPOS
+ # Defines where the osd is shown. Possible values are top, middle and bottom.


Index: tpb.spec
===================================================================
RCS file: /cvs/extras/rpms/tpb/devel/tpb.spec,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- tpb.spec	24 Mar 2005 11:04:09 -0000	1.7
+++ tpb.spec	16 May 2005 06:48:59 -0000	1.8
@@ -1,20 +1,19 @@
 Name:           tpb
 Version:        0.6.3
-Release:        3
+Release:        4
 Summary:        IBM ThinkPad button support utility
 
 Group:          System Environment/Base
 License:        GPL
 URL:            http://www.nongnu.org/tpb/
-Source0:        http://savannah.nongnu.org/download/tpb/tpb-0.6.3.tar.gz
-Source1:        http://savannah.nongnu.org/download/tpb/tpb-0.6.3.tar.gz.sig
-Source2:        %{name}-nvram.permissions
+Source0:        http://savannah.nongnu.org/download/tpb/%{name}-%{version}.tar.gz
+Source1:        http://savannah.nongnu.org/download/tpb/%{name}-%{version}.tar.gz.sig
 Patch0:         %{name}-defaultconfig.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 ExclusiveArch:	%{ix86}
-BuildRequires:  xosd-devel >= 2.0.0, XFree86-devel, gettext, /sbin/MAKEDEV
-Requires:       udev
+BuildRequires:  xosd-devel >= 2.0.0, XFree86-devel, gettext
+Requires:       udev >= 050-6, MAKEDEV
 
 %description
 With TPB it is possible to bind a program to the ThinkPad, Mail, Home
@@ -29,11 +28,31 @@
 %prep
 %setup -q
 %patch0 -p0
+
+# Start tpb at X startup:
 cat <<EOF > %{name}.xinit
 #!/bin/sh
 %{_bindir}/tpb -d
 EOF
 
+# For the initial MAKEDEV at post-install time, and possibly later:
+cat <<EOF > %{name}.makedev
+# Custom permissions for nvram for use with tpb(1).
+c 664 root root         10 144  1   1 nvram
+EOF
+
+# To get the /dev entry created at boot:
+cat <<EOF > %{name}.nodes
+# /dev/nvram, needed by tpb(1), needs to be created manually.
+nvram
+EOF
+
+# Permissions fixup:
+cat <<EOF > %{name}.rules
+# Custom permissions for nvram for use with tpb(1).
+KERNEL=="nvram", MODE="0664"
+EOF
+
 
 %build
 %configure
@@ -45,30 +64,40 @@
 make install DESTDIR=$RPM_BUILD_ROOT
 install -Dm 755 %{name}.xinit \
   $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d/%{name}.sh
-install -Dpm 644 %{SOURCE2} \
-  $RPM_BUILD_ROOT%{_sysconfdir}/udev/permissions.d/49-%{name}-nvram.permissions
-/sbin/MAKEDEV -M nvram > %{name}.files
-/sbin/MAKEDEV -d %{_sysconfdir}/udev/devices -M nvram >> %{name}.files
-sed -i s/600/644/ %{name}.files # console.perms.d would be nice
+install -Dpm 644 %{name}.rules \
+  $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/90-%{name}.rules
+install -Dpm 644 %{name}.nodes \
+  $RPM_BUILD_ROOT%{_sysconfdir}/udev/makedev.d/90-%{name}.nodes
+install -Dpm 644 %{name}.makedev \
+  $RPM_BUILD_ROOT%{_sysconfdir}/makedev.d/zz_%{name}
 %find_lang %{name}
-cat %{name}.lang >> %{name}.files
 
 
 %clean
 rm -rf $RPM_BUILD_ROOT
 
 
-%files -f %{name}.files
+%post
+/sbin/MAKEDEV nvram >/dev/null || :
+
+
+%files -f %{name}.lang
 %defattr(-,root,root,-)
 %doc ChangeLog COPYING CREDITS README doc/callback_example.sh doc/nvram.txt
-%config %{_sysconfdir}/X11/xinit/xinitrc.d/%{name}.sh
-%config(noreplace) %{_sysconfdir}/udev/permissions.d/*%{name}-nvram.permissions
+%{_sysconfdir}/X11/xinit/xinitrc.d/%{name}.sh
+%config(noreplace) %{_sysconfdir}/udev/rules.d/*-%{name}.rules
+%config(noreplace) %{_sysconfdir}/udev/makedev.d/*-%{name}.nodes
+%config(noreplace) %{_sysconfdir}/makedev.d/*%{name}
 %config(noreplace) %{_sysconfdir}/tpbrc
 %{_bindir}/tpb
 %{_mandir}/man1/tpb.1*
 
 
 %changelog
+* Mon May 16 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6.3-4
+- Adapt to work with FC4's udev configuration.
+- Improve default OSD placement.
+
 * Thu Mar 24 2005 Colin Charles <colin at fedoraproject.org> - 0:0.6.3-3
 - add ExclusiveArch x86 only
 


--- tpb-nvram.permissions DELETED ---




More information about the fedora-extras-commits mailing list